Bug 443522 - ls shows two /proc/[pid]/limits files for every process
ls shows two /proc/[pid]/limits files for every process
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
x86_64 Linux
medium Severity low
: rc
: ---
Assigned To: Neil Horman
Martin Jenner
:
: 455229 (view as bug list)
Depends On:
Blocks: 443825 455229
  Show dependency treegraph
 
Reported: 2008-04-21 18:56 EDT by Vinod Kutty
Modified: 2010-10-22 20:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:17:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vinod Kutty 2008-04-21 18:56:47 EDT
Description of problem:

/prod/[pid]/limits duplicated

Version-Release number of selected component (if applicable):
5.2 beta - Kernel 2.6.18-84.el5

How reproducible:
Always

Steps to Reproduce:
1. Pick a pid of a running process - [pid]
2. ls -l /proc/[pid]/limits*

  
Actual results:
# ps
  PID TTY          TIME CMD
 8112 ttyS0    00:00:00 ps
23283 ttyS0    00:00:00 bash
# ls -l /proc/23283/limits*
-r-------- 1 root root 0 Apr 21 17:47 /proc/23283/limits
-r-------- 1 root root 0 Apr 21 17:47 /proc/23283/limits
#

Expected results:
# ls -l /proc/23283/limits*
-r-------- 1 root root 0 Apr 21 17:47 /proc/23283/limits
#

Additional info:
Comment 1 RHEL Product and Program Management 2008-04-22 11:23:05 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Vinod Kutty 2008-04-22 14:42:07 EDT
Downing the severity.

I thought it might be simple to fix on your end and wanted your first
implementation of this feature to have one less bug. 

We anticipate it may cause some scripting issues, but since this is new we don't
have any legacy code that depends on it. 

So the current impact is low or moderate -- i.e. any scripts we wrap around this
will have to account for the duplicate entries, then changed when it is corrected.
Comment 5 RHEL Product and Program Management 2008-06-06 12:04:59 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 Mike Gahagan 2008-07-17 16:31:46 EDT
*** Bug 455229 has been marked as a duplicate of this bug. ***
Comment 9 Don Zickus 2008-07-18 16:07:26 EDT
in kernel-2.6.18-98.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 10 Vinod Kutty 2008-07-19 00:16:25 EDT
Smoketested kernel-2.6.18-98.el5 on one of my systems. I see only one
/proc/[pid]/limits file per process as expected; looks good.

Thanks.
Comment 11 Issue Tracker 2008-08-27 08:14:05 EDT
The client tested for a while and confirmed yesterday that the patch is
working (with 2.6.18-105).
Thank you,

Cédric

Internal Status set to 'Waiting on SEG'
Status set to: Waiting on Tech

This event sent from IssueTracker by cbuissar 
 issue 191316
Comment 16 errata-xmlrpc 2009-01-20 15:17:50 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.